package tk.makigas.makipong;

import com.badlogic.gdx.scenes.scene2d.InputEvent;
import com.badlogic.gdx.scenes.scene2d.InputListener;

public class PalaUserInput extends InputListener {

	private PalaActor pala;
	
	private float delta;
	
	public PalaUserInput(PalaActor pala) {
		this.pala = pala;
	}
	
	@Override
	public boolean touchDown(InputEvent event, float x, float y, int pointer,
			int button) {
		delta = event.getStageY();
		return true;
	}
	
	@Override
	public void touchDragged(InputEvent event, float x, float y, int pointer) {
		pala.translate(0, event.getStageY() - delta);
		delta = event.getStageY();
	}
	
}
